aboutsummaryrefslogtreecommitdiff
path: root/paludis/util/fs_path_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-08-24 13:28:45 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-08-24 15:47:41 +0100
commit49750cc61904ba17060521bd345c6ae526fb1bf8 (patch)
tree8aa8c06a7d6ec58c62dd0741011e8357a19c8b8d /paludis/util/fs_path_TEST_setup.sh
parent75f48bbb1ae368febe984c10c2db2d0b5cbd7cec (diff)
downloadpaludis-49750cc61904ba17060521bd345c6ae526fb1bf8.tar.gz
paludis-49750cc61904ba17060521bd345c6ae526fb1bf8.tar.xz
FSEntry -> FSPath, FSStat
Fixes: ticket:967
Diffstat (limited to 'paludis/util/fs_path_TEST_setup.sh')
-rwxr-xr-xpaludis/util/fs_path_TEST_setup.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/paludis/util/fs_path_TEST_setup.sh b/paludis/util/fs_path_TEST_setup.sh
new file mode 100755
index 000000000..f54d01db7
--- /dev/null
+++ b/paludis/util/fs_path_TEST_setup.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir fs_path_TEST_dir || exit 2
+cd fs_path_TEST_dir || exit 3
+mkdir dir_a || exit 4
+ln -s dir_a symlink_to_dir_a || exit 5
+ln -s doesnotexist doesnotexist_symlink || exit 5
+touch dir_a/file_in_a || exit 6
+
+touch all_perms || exit 7
+chmod 777 all_perms || exit 8
+touch no_perms || exit 9
+sleep 1
+chmod 000 no_perms || exit 10
+
+mkdir dir_a/dir_in_a
+
+touch file_a || exit 13
+
+echo -n '0123456789' > ten_bytes || exit 11
+ln -s dir_a/file_in_a symlink_to_file_in_a || exit 12
+sleep 1